com.rscja.deviceapi.interfaces

## Interface IUHFProtocolParse

- All Known Subinterfaces:
    IUHFProtocolParseUrx
  All Known Implementing Classes:
    UHFProtocolParseBleByJava_qcom, UHFProtocolParseByJava, UHFProtocolParseUrA4_qcom, UHFProtocolParseUrA8_qcom, UHFProtocolParseUrAxBase_qcom, UHFProtocolParseUrxByJava_qcom, UHFProtocolParseUSBByJava_qcom

      public interface IUHFProtocolParse

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `blinkOfLedSendData(int duration, int interval, int count)`
    `byte[]` | `blockEraseDataSendData(java.lang.String pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, java.lang.String ufData, char uBank, int uPtr, char uCnt)`
    `byte[]` | `blockWriteDataSendData(java.lang.String pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, java.lang.String ufData, char uBank, int uPtr, char uCnt, java.lang.String writeDatabuf)`
    `byte[]` | `btDeleteAllTagToFlashSendData()`
    `byte[]` | `btGetAllTagNumFromFlashSendData()`
    `byte[]` | `btGetNewTagNumFromFlashSendData()`
    `byte[]` | `btGetTagDataFromFlashSendData()`
    `byte[]` | `closeLedSendData()`
    `byte[]` | `GBTagLockSendData(java.lang.String pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, java.lang.String ufData, char jmemory, char jconfig, char jaction)`
    `java.lang.String` | `generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank, int lockMode)` 获取锁标签的锁定码
    `byte[]` | `getBatterySendData()` 获取电量的发送数据
    `byte[]` | `getBeepSendData(boolean isOpen)` 获取设置蜂鸣器的发送数据
    `byte[]` | `getCWSendData()`
    `byte[]` | `getEPCTIDModeSendData(char rev1, char rev2)`
    `byte[]` | `getFastIDSendData()`
    `byte[]` | `getFrequencyModeSendData()`
    `byte[]` | `getGen2SendData()`
    `byte[]` | `getInventorySingleTagSendData()` 获取开启单次盘点标签的发送数据
    `byte[]` | `getKillSendData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData)` 获取销毁标签的发送数据
    `byte[]` | `getLockSendData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, java.lang.String lockCode)` 获取锁标签需要发送的数据
    `byte[]` | `getPowerSendData()` 获取功率的发送数据
    `byte[]` | `getProtocolSendData()` 获取协议需要发送数据
    `byte[]` | `getReaderAwaitSleepTimeSendData()`
    `byte[]` | `getReadSendData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt)` 获取读标签的发送数据
    `byte[]` | `getReadTagSendData()` 获取在循环盘点标签的模式中,读取缓存标签的发送数据
    `byte[]` | `getRFLinkSendData()`
    `byte[]` | `getScanBarcodeSendData()` 获取扫描条码的发送数据
    `byte[]` | `getStartInventoryTagSendData()` 获取循环盘点标签的发送数据
    `byte[]` | `getSTM32VersionSendData()`
    `byte[]` | `getStopInventorySendData()` 获取停止循环盘点标签的发送数据
    `byte[]` | `getTagfocusSendData()`
    `byte[]` | `getTemperatureSendData()` 获取模块温度
    `byte[]` | `getVersionSendData()`
    `byte[]` | `getWriteSendData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt, java.lang.String writeData)` 获取写标签的发送数据
    `byte[]` | `openLedSendData()`
    `byte[]` | `parseBarcodeData(byte[] inData)` 解析扫描条码返回的数据
    `int` | `parseBatteryData(byte[] inData)` 解析获取电量返回的数据
    `boolean` | `parseBeepData(byte[] inData)` 解析设置蜂鸣器返回的数据
    `boolean` | `parseBlinkOfLedData(byte[] inData)`
    `boolean` | `parseBlockEraseDataData(byte[] inData)`
    `boolean` | `parseBlockWriteData(byte[] inData)`
    `boolean` | `parseBtDeleteAllTagToFlashData(byte[] inData)`
    `int` | `parseBtGetAllTagNumFromFlashData(byte[] inData)`
    `int` | `parseBtGetNewTagNumFromFlashData(byte[] indata)`
    `byte[]` | `parseBtGetTagDataFromFlashData(byte[] inData)`
    `boolean` | `parseCloseLedData(byte[] inData)`
    `UHFTAGInfo` | `parseContinuousInventoryTagData(byte[] inData)` 循环盘点标签返回的数据
    `boolean` | `parseFastIdData(byte[] inData)`
    `boolean` | `parseGBTagLockData(byte[] inData)`
    `int` | `parseGetCWData(byte[] inData)`
    `byte[]` | `parseGetEPCTIDModeData(byte[] inData)`
    `int` | `parseGetFastIdData(byte[] inData)`
    `byte` | `parseGetFrequencyModeData(byte[] inData)`
    `byte[]` | `parseGetGen2Data(byte[] inData)`
    `int` | `parseGetPowerData(byte[] inData)` 解析获取功率返回的数据
    `int` | `parseGetProtocolData(byte[] inData)` 解析获取协议返回的数据
    `int` | `parseGetReaderAwaitSleepTimeData(byte[] inData)`
    `int` | `parseGetRFLinkData(byte[] inData)`
    `int` | `parseGetTagfocusData(byte[] inData)`
    `UHFTAGInfo` | `parseInventorySingleTagData(byte[] inData)` 解析单次盘点标签返回的数据
    `boolean` | `parseKillData(byte[] inData)` 解析销毁标签返回的数据
    `boolean` | `parseLockData(byte[] inData)` 解析锁标签返回的数据
    `boolean` | `parseOpenLedData(byte[] inData)`
    `java.lang.String` | `parseReadData(byte[] inData)` 解析读标签返回的数据
    `java.util.List<UHFTAGInfo>` | `parseReadTagData_EPC(byte[] inData)` 解析循环盘点标签返回的标签数据
    `boolean` | `parseSetBeepTimeOfDuration(byte[] inData)`
    `boolean` | `parseSetCWData(byte[] inData)`
    `boolean` | `parseSetEPCAndTIDModeData(byte[] inData)`
    `boolean` | `parseSetEPCAndTIDUserModeData(byte[] inData)`
    `boolean` | `parseSetEPCModeData(byte[] inData)`
    `boolean` | `parseSetFilterData(byte[] inData)`
    `boolean` | `parseSetFrequencyModeData(byte[] inData)`
    `boolean` | `parseSetGen2Data(byte[] inData)`
    `boolean` | `parseSetJumpFrequencyData(byte[] inData)`
    `boolean` | `parseSetPowerData(byte[] inData)` 解析设置功率返回的数据
    `boolean` | `parseSetPowerOnDynamicData(byte[] inData)`
    `boolean` | `parseSetProtocolData(byte[] inData)` 解析设置协议返回的数据
    `boolean` | `parseSetR6WorkModeData(byte[] inData)`
    `boolean` | `parseSetReaderAwaitSleepTimeData(byte[] inData)`
    `boolean` | `parseSetRFLinkData(byte[] inData)`
    `boolean` | `parseSetTagfocusData(byte[] inData)`
    `boolean` | `parseStartInventoryTagData(byte[] inData)` 解析开始盘点标签返回的数据
    `java.lang.String` | `parseSTM32VersionData(byte[] inData)`
    `boolean` | `parseStopInventoryData(byte[] inData)` 解析停止盘点标签返回的数据
    `int` | `parseTemperatureData(byte[] inData)` 解析模块温度返回的数据
    `boolean` | `parseUHFJump2BootData(byte[] inData)`
    `boolean` | `parseUHFStartUpdateData(byte[] inData)`
    `boolean` | `parseUHFStopUpdateData(byte[] inData)`
    `boolean` | `parseUHFUpdatingData(byte[] inData)`
    `java.lang.String` | `parseVersionData(byte[] inData)`
    `boolean` | `parseWriteData(byte[] inData)` 解析写标签返回的数据
    `byte[]` | `requestGetEx10SDKFirmware()`
    `byte[]` | `requestGetFastInventoryMode()`
    `byte[]` | `requestSetFastInventoryMode(boolean enable)`
    `java.lang.String` | `responseGetEx10SDKFirmware(byte[] data)`
    `int` | `responseGetFastInventoryMode(byte[] data)`
    `boolean` | `responseSetFastInventoryMode(byte[] data)`
    `byte[]` | `setBeepTimeOfDurationSendData(int time)`
    `byte[]` | `setCWSendData(char flag)`
    `byte[]` | `setEPCAndTIDModeSendData()`
    `byte[]` | `setEPCAndTIDUserModeSendData(int user_prt, int user_len)`
    `byte[]` | `setEPCModeSendData()`
    `byte[]` | `setFastIdSendData(int flag)`
    `byte[]` | `setFilterSendData(char ufBank, int ufPtr, int datalen, java.lang.String databuf)`
    `byte[]` | `setFrequencyModeSendData(int freMode)`
    `byte[]` | `setGen2SendData(char Target, char Action, char T, char Q_Q, char StartQ, char MinQ, char MaxQ, char D_D, char C_C, char P_P, char Sel, char Session, char G_G, char LF)`
    `byte[]` | `setJumpFrequencySendData(int Freqbuf)`
    `byte[]` | `setPowerOnDynamicSendData(int power)`
    `byte[]` | `setPowerSendData(int power)` 获取设置功率的发送数据
    `byte[]` | `setProtocolSendData(int protocol)` 获取设置协议的发送数据
    `byte[]` | `setR6WorkmodeSendData(char flag)`
    `byte[]` | `setReaderAwaitSleepTimeSendData(char time)`
    `byte[]` | `setRFLinkSendData(int mode)`
    `byte[]` | `setTagfocusSendData(char flag)`
    `byte[]` | `uhfJump2BootSendData(char flag)`
    `byte[]` | `uhfStartUpdateSendData()`
    `byte[]` | `UHFStopUpdateSendData()`
    `byte[]` | `uhfUpdatingSendData(byte[] buf)`

- - ### Method Detail

    - #### getBeepSendData

          byte[] getBeepSendData(boolean isOpen)

      获取设置蜂鸣器的发送数据
      Parameters:
        `isOpen` - true:表示打开蜂鸣器， false:表示关闭蜂鸣器
      Returns:
        发送的数据

    - #### parseBeepData

          boolean parseBeepData(byte[] inData)

      解析设置蜂鸣器返回的数据
      Parameters:
        `inData` - 设置蜂鸣器返回的原始数据
      Returns:
        true: 设置成功 ,flase:设置设备

    - #### parseSetBeepTimeOfDuration

          boolean parseSetBeepTimeOfDuration(byte[] inData)

    - #### parseBarcodeData

          byte[] parseBarcodeData(byte[] inData)

      解析扫描条码返回的数据
      Parameters:
        `inData` - 蓝牙返回的条码原始数据
      Returns:
        返回解析后的条码数据

    - #### parseBatteryData

          int parseBatteryData(byte[] inData)

      解析获取电量返回的数据
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        返回解析后的电量

    - #### parseWriteData

          boolean parseWriteData(byte[] inData)

      解析写标签返回的数据
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:写标签成功 false:写标签失败

    - #### parseReadData

          java.lang.String parseReadData(byte[] inData)

      解析读标签返回的数据
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        返回解析后的标签数据

    - #### parseLockData

          boolean parseLockData(byte[] inData)

      解析锁标签返回的数据
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:锁成功， false:锁失败

    - #### parseKillData

          boolean parseKillData(byte[] inData)

      解析销毁标签返回的数据
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:销毁标签成功， false:销毁标签失败

    - #### parseInventorySingleTagData

          UHFTAGInfo parseInventorySingleTagData(byte[] inData)

      解析单次盘点标签返回的数据
      Returns:
        返回单次盘点标签的数据

    - #### parseContinuousInventoryTagData

          UHFTAGInfo parseContinuousInventoryTagData(byte[] inData)

      循环盘点标签返回的数据
      Returns:
        返回循环盘点标签的数据

    - #### parseSetProtocolData

          boolean parseSetProtocolData(byte[] inData)

      解析设置协议返回的数据
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:设置协议成功， false:设置协议失败

    - #### parseGetProtocolData

          int parseGetProtocolData(byte[] inData)

      解析获取协议返回的数据
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:获取协议成功， false:获取协议失败

    - #### getStartInventoryTagSendData

          byte[] getStartInventoryTagSendData()

      获取循环盘点标签的发送数据
      Returns:
        发送的数据

    - #### parseStartInventoryTagData

          boolean parseStartInventoryTagData(byte[] inData)

      解析开始盘点标签返回的数据
      Returns:
        true:开始盘点成功，false:开始盘点失败

    - #### getInventorySingleTagSendData

          byte[] getInventorySingleTagSendData()

      获取开启单次盘点标签的发送数据
      Returns:
        发送的数据

    - #### getStopInventorySendData

          byte[] getStopInventorySendData()

      获取停止循环盘点标签的发送数据
      Returns:
        发送的数据

    - #### getReadTagSendData

          byte[] getReadTagSendData()

      获取在循环盘点标签的模式中,读取缓存标签的发送数据
      Returns:
        发送的数据

    - #### parseReadTagData_EPC

          java.util.List<UHFTAGInfo> parseReadTagData_EPC(byte[] inData)

      解析循环盘点标签返回的标签数据
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        返回解析后的标签数据

    - #### parseStopInventoryData

          boolean parseStopInventoryData(byte[] inData)

      解析停止盘点标签返回的数据
      Returns:
        true:停止盘点成功，false:停止盘点失败

    - #### getPowerSendData

          byte[] getPowerSendData()

      获取功率的发送数据
      Returns:
        发送的数据

    - #### setPowerSendData

          byte[] setPowerSendData(int power)

      获取设置功率的发送数据
      Parameters:
        `power` - 功率
      Returns:
        发送的数据

    - #### parseSetPowerData

          boolean parseSetPowerData(byte[] inData)

      解析设置功率返回的数据
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:设置功率成功, flase:设置功率失败

    - #### parseGetPowerData

          int parseGetPowerData(byte[] inData)

      解析获取功率返回的数据
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        返回功率

    - #### getVersionSendData

          byte[] getVersionSendData()

      Returns:

    - #### parseVersionData

          java.lang.String parseVersionData(byte[] inData)

      Parameters:
        `inData` -
      Returns:

    - #### getFrequencyModeSendData

          byte[] getFrequencyModeSendData()

    - #### setFrequencyModeSendData

          byte[] setFrequencyModeSendData(int freMode)

    - #### parseGetFrequencyModeData

          byte parseGetFrequencyModeData(byte[] inData)

    - #### parseSetFrequencyModeData

          boolean parseSetFrequencyModeData(byte[] inData)

    - #### setBeepTimeOfDurationSendData

          byte[] setBeepTimeOfDurationSendData(int time)

    - #### getScanBarcodeSendData

          byte[] getScanBarcodeSendData()

      获取扫描条码的发送数据
      Returns:
        发送的数据

    - #### getBatterySendData

          byte[] getBatterySendData()

      获取电量的发送数据
      Returns:
        发送的数据

    - #### getWriteSendData

          byte[] getWriteSendData(java.lang.String accessPwd,
                                  int filterBank,
                                  int filterPtr,
                                  int filterCnt,
                                  java.lang.String filterData,
                                  int bank,
                                  int ptr,
                                  int cnt,
                                  java.lang.String writeData)

      获取写标签的发送数据
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        `filterBank` - 过滤的数据块
        `filterPtr` - 过滤的起始地址(单位:bit)
        `filterCnt` - 过滤的数据长度(单位:bit)
        `filterData` - 过滤的数据
        `bank` - 写入的数据块
        `ptr` - 写入的起始地址(单位:字)
        `cnt` - 写入的数据长度(单位:字)
        `writeData` - 写入的数据
      Returns:
        发送的数据

    - #### getReadSendData

          byte[] getReadSendData(java.lang.String accessPwd,
                                 int filterBank,
                                 int filterPtr,
                                 int filterCnt,
                                 java.lang.String filterData,
                                 int bank,
                                 int ptr,
                                 int cnt)

      获取读标签的发送数据
      Parameters:
        `accessPwd` - 访问密码
        `filterBank` - 过滤的数据块
        `filterPtr` - 过滤的起始地址(单位:bit)
        `filterCnt` - 过滤的数据长度(单位:bit)
        `filterData` - 过滤的数据
        `bank` - 读取的数据块
        `ptr` - 读取的起始地址(单位:字)
        `cnt` - 读取的数据长度(单位:字)
      Returns:
        发送的数据

    - #### getLockSendData

          byte[] getLockSendData(java.lang.String accessPwd,
                                 int filterBank,
                                 int filterPtr,
                                 int filterCnt,
                                 java.lang.String filterData,
                                 java.lang.String lockCode)

      获取锁标签需要发送的数据
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        `filterBank` - 标签的存储区
        `filterPtr` - 过滤起始地址(单位:bit)
        `filterCnt` - 过滤数据长度(单位:bit)
        `filterData` - 过滤数据
        `lockCode` - 锁定码
      Returns:
        发送的数据

    - #### generateLockCode

          java.lang.String generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank,
                                            int lockMode)

      获取锁标签的锁定码
      Parameters:
        `lockBank` - 要锁定的区域
        `lockMode` - 锁定的模式
      Returns:
        返回null 表示失败

    - #### getKillSendData

          byte[] getKillSendData(java.lang.String accessPwd,
                                 int filterBank,
                                 int filterPtr,
                                 int filterCnt,
                                 java.lang.String filterData)

      获取销毁标签的发送数据
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        `filterBank` - 标签的存储区
        `filterPtr` - 过滤起始地址(单位:bit)
        `filterCnt` - 过滤数据长度(单位:bit)
        `filterData` - 过滤数据
      Returns:
        发送的数据

    - #### getProtocolSendData

          byte[] getProtocolSendData()

      获取协议需要发送数据
      Returns:
        发送的数据

    - #### setProtocolSendData

          byte[] setProtocolSendData(int protocol)

      获取设置协议的发送数据
      Parameters:
        `protocol` - 0x00 表示 ISO18000-6C 协议, 0x01 表示 GB/T 29768 国标协议, 0x02 表示 GJB 7377.1 国军标协议
      Returns:
        发送的数据

    - #### getTemperatureSendData

          byte[] getTemperatureSendData()

      获取模块温度
      Returns:

    - #### parseTemperatureData

          int parseTemperatureData(byte[] inData)

      解析模块温度返回的数据
      Parameters:
        `inData` -
      Returns:

    - #### setEPCModeSendData

          byte[] setEPCModeSendData()

    - #### parseSetEPCModeData

          boolean parseSetEPCModeData(byte[] inData)

    - #### setEPCAndTIDModeSendData

          byte[] setEPCAndTIDModeSendData()

    - #### parseSetEPCAndTIDModeData

          boolean parseSetEPCAndTIDModeData(byte[] inData)

    - #### setEPCAndTIDUserModeSendData

          byte[] setEPCAndTIDUserModeSendData(int user_prt,
                                              int user_len)

    - #### parseSetEPCAndTIDUserModeData

          boolean parseSetEPCAndTIDUserModeData(byte[] inData)

    - #### setGen2SendData

          byte[] setGen2SendData(char Target,
                                 char Action,
                                 char T,
                                 char Q_Q,
                                 char StartQ,
                                 char MinQ,
                                 char MaxQ,
                                 char D_D,
                                 char C_C,
                                 char P_P,
                                 char Sel,
                                 char Session,
                                 char G_G,
                                 char LF)

    - #### parseSetGen2Data

          boolean parseSetGen2Data(byte[] inData)

    - #### getGen2SendData

          byte[] getGen2SendData()

    - #### parseGetGen2Data

          byte[] parseGetGen2Data(byte[] inData)

    - #### blockWriteDataSendData

          byte[] blockWriteDataSendData(java.lang.String pszuAccessPwd,
                                        char ufBank,
                                        int ufPtr,
                                        int ufCnt,
                                        java.lang.String ufData,
                                        char uBank,
                                        int uPtr,
                                        char uCnt,
                                        java.lang.String writeDatabuf)

    - #### parseBlockWriteData

          boolean parseBlockWriteData(byte[] inData)

    - #### blockEraseDataSendData

          byte[] blockEraseDataSendData(java.lang.String pszuAccessPwd,
                                        char ufBank,
                                        int ufPtr,
                                        int ufCnt,
                                        java.lang.String ufData,
                                        char uBank,
                                        int uPtr,
                                        char uCnt)

    - #### parseBlockEraseDataData

          boolean parseBlockEraseDataData(byte[] inData)

    - #### GBTagLockSendData

          byte[] GBTagLockSendData(java.lang.String pszuAccessPwd,
                                   char ufBank,
                                   int ufPtr,
                                   int ufCnt,
                                   java.lang.String ufData,
                                   char jmemory,
                                   char jconfig,
                                   char jaction)

    - #### parseGBTagLockData

          boolean parseGBTagLockData(byte[] inData)

    - #### setFilterSendData

          byte[] setFilterSendData(char ufBank,
                                   int ufPtr,
                                   int datalen,
                                   java.lang.String databuf)

    - #### parseSetFilterData

          boolean parseSetFilterData(byte[] inData)

    - #### setCWSendData

          byte[] setCWSendData(char flag)

    - #### parseSetCWData

          boolean parseSetCWData(byte[] inData)

    - #### getCWSendData

          byte[] getCWSendData()

    - #### parseGetCWData

          int parseGetCWData(byte[] inData)

    - #### setJumpFrequencySendData

          byte[] setJumpFrequencySendData(int Freqbuf)

    - #### parseSetJumpFrequencyData

          boolean parseSetJumpFrequencyData(byte[] inData)

    - #### btDeleteAllTagToFlashSendData

          byte[] btDeleteAllTagToFlashSendData()

    - #### parseBtDeleteAllTagToFlashData

          boolean parseBtDeleteAllTagToFlashData(byte[] inData)

    - #### btGetAllTagNumFromFlashSendData

          byte[] btGetAllTagNumFromFlashSendData()

    - #### btGetNewTagNumFromFlashSendData

          byte[] btGetNewTagNumFromFlashSendData()

    - #### parseBtGetAllTagNumFromFlashData

          int parseBtGetAllTagNumFromFlashData(byte[] inData)

    - #### parseBtGetNewTagNumFromFlashData

          int parseBtGetNewTagNumFromFlashData(byte[] indata)

    - #### btGetTagDataFromFlashSendData

          byte[] btGetTagDataFromFlashSendData()

    - #### parseBtGetTagDataFromFlashData

          byte[] parseBtGetTagDataFromFlashData(byte[] inData)

    - #### setR6WorkmodeSendData

          byte[] setR6WorkmodeSendData(char flag)

    - #### parseSetR6WorkModeData

          boolean parseSetR6WorkModeData(byte[] inData)

    - #### uhfJump2BootSendData

          byte[] uhfJump2BootSendData(char flag)

    - #### parseUHFJump2BootData

          boolean parseUHFJump2BootData(byte[] inData)

    - #### uhfStartUpdateSendData

          byte[] uhfStartUpdateSendData()

    - #### parseUHFStartUpdateData

          boolean parseUHFStartUpdateData(byte[] inData)

    - #### uhfUpdatingSendData

          byte[] uhfUpdatingSendData(byte[] buf)

    - #### parseUHFUpdatingData

          boolean parseUHFUpdatingData(byte[] inData)

    - #### UHFStopUpdateSendData

          byte[] UHFStopUpdateSendData()

    - #### parseUHFStopUpdateData

          boolean parseUHFStopUpdateData(byte[] inData)

    - #### getEPCTIDModeSendData

          byte[] getEPCTIDModeSendData(char rev1,
                                       char rev2)

    - #### parseGetEPCTIDModeData

          byte[] parseGetEPCTIDModeData(byte[] inData)

    - #### getSTM32VersionSendData

          byte[] getSTM32VersionSendData()

    - #### parseSTM32VersionData

          java.lang.String parseSTM32VersionData(byte[] inData)

    - #### setReaderAwaitSleepTimeSendData

          byte[] setReaderAwaitSleepTimeSendData(char time)

    - #### parseSetReaderAwaitSleepTimeData

          boolean parseSetReaderAwaitSleepTimeData(byte[] inData)

    - #### getReaderAwaitSleepTimeSendData

          byte[] getReaderAwaitSleepTimeSendData()

    - #### parseGetReaderAwaitSleepTimeData

          int parseGetReaderAwaitSleepTimeData(byte[] inData)

    - #### setTagfocusSendData

          byte[] setTagfocusSendData(char flag)

    - #### parseSetTagfocusData

          boolean parseSetTagfocusData(byte[] inData)

    - #### getTagfocusSendData

          byte[] getTagfocusSendData()

    - #### parseGetTagfocusData

          int parseGetTagfocusData(byte[] inData)

    - #### setRFLinkSendData

          byte[] setRFLinkSendData(int mode)

    - #### parseSetRFLinkData

          boolean parseSetRFLinkData(byte[] inData)

    - #### getRFLinkSendData

          byte[] getRFLinkSendData()

    - #### parseGetRFLinkData

          int parseGetRFLinkData(byte[] inData)

    - #### setFastIdSendData

          byte[] setFastIdSendData(int flag)

    - #### parseFastIdData

          boolean parseFastIdData(byte[] inData)

    - #### getFastIDSendData

          byte[] getFastIDSendData()

    - #### parseGetFastIdData

          int parseGetFastIdData(byte[] inData)

    - #### openLedSendData

          byte[] openLedSendData()

    - #### closeLedSendData

          byte[] closeLedSendData()

    - #### blinkOfLedSendData

          byte[] blinkOfLedSendData(int duration,
                                    int interval,
                                    int count)

    - #### parseOpenLedData

          boolean parseOpenLedData(byte[] inData)

    - #### parseCloseLedData

          boolean parseCloseLedData(byte[] inData)

    - #### parseBlinkOfLedData

          boolean parseBlinkOfLedData(byte[] inData)

    - #### setPowerOnDynamicSendData

          byte[] setPowerOnDynamicSendData(int power)

    - #### parseSetPowerOnDynamicData

          boolean parseSetPowerOnDynamicData(byte[] inData)

    - #### requestSetFastInventoryMode

          byte[] requestSetFastInventoryMode(boolean enable)

    - #### responseSetFastInventoryMode

          boolean responseSetFastInventoryMode(byte[] data)

    - #### requestGetFastInventoryMode

          byte[] requestGetFastInventoryMode()

    - #### responseGetFastInventoryMode

          int responseGetFastInventoryMode(byte[] data)

    - #### requestGetEx10SDKFirmware

          byte[] requestGetEx10SDKFirmware()

    - #### responseGetEx10SDKFirmware

          java.lang.String responseGetEx10SDKFirmware(byte[] data)